# Class BaseCallingProgramGroup

java.lang.Object
picard.cmdline.programgroups.BaseCallingProgramGroup

All Implemented Interfaces:
  `org.broadinstitute.barclay.argparser.CommandLineProgramGroup`

public class BaseCallingProgramGroup extends Object implements org.broadinstitute.barclay.argparser.CommandLineProgramGroup
Tools that process sequencing machine data, e.g. Illumina base calls, and detect sequencing level attributes, e.g. adapters

## Field Summary

### Fields inherited from interface org.broadinstitute.barclay.argparser.CommandLineProgramGroup

`comparator`

## Constructor Summary

Constructors
Constructor
Description
`BaseCallingProgramGroup()`

## Method Summary

Modifier and Type
Method
Description
`String`
`getDescription()`
`String`
`getName()`

### Methods inherited from class Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### BaseCallingProgramGroup

public BaseCallingProgramGroup()

## Method Details

### getName

public String getName()

Specified by:
  `getName` in interface `org.broadinstitute.barclay.argparser.CommandLineProgramGroup`

### getDescription

public String getDescription()

Specified by:
  `getDescription` in interface `org.broadinstitute.barclay.argparser.CommandLineProgramGroup`